searchData={"items":[{"type":"module","title":"EmailTldValidator","doc":"","ref":"EmailTldValidator.html"},{"type":"function","title":"EmailTldValidator.email_valid?/1","doc":"Checks whether an email address matches a reasonably comprehensive regular expression\nand whether the TLD (Top-Level Domain) included in the hostname part of the address is included in the\n[IANA alphabetic list of TLDs](https://data.iana.org/TLD/tlds-alpha-by-domain.txt).","ref":"EmailTldValidator.html#email_valid?/1"},{"type":"function","title":"Examples - EmailTldValidator.email_valid?/1","doc":"iex> EmailTldValidator.email_valid?(\"user@example.com\")\n    true\n\n    iex> EmailTldValidator.email_valid?(\"user@example\")\n    false\n\n    iex> EmailTldValidator.email_valid?(\"user@example.foobar\")\n    false","ref":"EmailTldValidator.html#email_valid?/1-examples"},{"type":"function","title":"EmailTldValidator.regexp_validate/1","doc":"","ref":"EmailTldValidator.html#regexp_validate/1"},{"type":"function","title":"EmailTldValidator.tld_valid?/1","doc":"","ref":"EmailTldValidator.html#tld_valid?/1"},{"type":"function","title":"EmailTldValidator.tld_validate/1","doc":"","ref":"EmailTldValidator.html#tld_validate/1"},{"type":"module","title":"EmailTldValidator.Ecto","doc":"","ref":"EmailTldValidator.Ecto.html"},{"type":"function","title":"EmailTldValidator.Ecto.validate_email/2","doc":"","ref":"EmailTldValidator.Ecto.html#validate_email/2"},{"type":"extras","title":"EmailTldValidator","doc":"# EmailTldValidator\n\nA simple email address validator for Elixir that first checks the address with a regular\nexpression and then checks if the Top-Level Domain of the host is included in ICANN's\n[List of Top-Level Domains](https://www.icann.org/resources/pages/tlds-2012-02-25-en).\nThe package is meant for use with `Ecto.Changeset`.","ref":"readme.html"},{"type":"extras","title":"Installation - EmailTldValidator","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `email_tld_validator` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:email_tld_validator, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - EmailTldValidator","doc":"The features of this library are split into two modules: `EmailTldValidator` and\n`EmailTldValidator.Ecto`.\n\nTo just check if an e-mail is valid outside of an `Ecto.Changeset`, use `EmailTldValidator/1`:\n\n```elixir\nEmailTldValidator.email_valid?(\"user@example.com\")\n# => true\n\nEmailTldValidator.email_valid?(\"user@example\")\n# => false (does not match the regular expression)\n\nEmailTldValidator.email_valid?(\"user@example.foobar\")\n# => false (non-existent TLD)\n```","ref":"readme.html#usage"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}